Package org.apache.sling.caconfig.impl.def

# Class DefaultConfigurationInheritanceStrategy

java.lang.Object
org.apache.sling.caconfig.impl.def.DefaultConfigurationInheritanceStrategy

All Implemented Interfaces:
  `org.apache.sling.caconfig.spi.ConfigurationInheritanceStrategy`

public class DefaultConfigurationInheritanceStrategy extends Object implements org.apache.sling.caconfig.spi.ConfigurationInheritanceStrategy

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static @interface`
`DefaultConfigurationInheritanceStrategy.Config`

## Constructor Summary

Constructors
Constructor
Description
`DefaultConfigurationInheritanceStrategy()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.api.resource.Resource`
`getResource(@NotNull Iterator<org.apache.sling.api.resource.Resource> configResources)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultConfigurationInheritanceStrategy

public DefaultConfigurationInheritanceStrategy()

## Method Details

### getResource

public org.apache.sling.api.resource.Resource getResource(@NotNull @NotNull Iterator<org.apache.sling.api.resource.Resource> configResources)

Specified by:
  `getResource` in interface `org.apache.sling.caconfig.spi.ConfigurationInheritanceStrategy`